pl_calldist.d(1m)

NAME
pl_calldist.d - measure Perl elapsed times for subroutines.

SYNOPSIS
pl_calldist.d

DESCRIPTION
This traces Perl activity from all programs running on the system with Perl provider support. This script prints distribution plots of elapsed time for Perl subroutines. Use pl_calltime.d for summary reports. Filename and subroutine names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_calldist.d

FIELDS

1   Filename of the Perl program

2   Type of call (sub)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_calldist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)